<!--
批量删除用户名单级别
@Author: linqian
@Date: 2021-07-13 10:17
-->
<template>
  <div>
    <p>是否确定删除以下白名单人员？</p>
    <p style="margin-top: 10px; margin-bottom: 5px">选中的人员列表：</p>
    <!-- <new-table  paging-type="client" :data="selectedData" :tableHeader="tableHeader" :pagination-total="selectedData.length"></new-table> -->
     <dg-table
      :data="selectedData"
      border
      row-key="id"
      paging-type="client"
      :pagination-total="selectedData.length"
    >
      <dg-table-column type="index" label="序号" width="75" align="center" />
      <template v-for="item in tableHeader">
        <dg-table-column :key="item.id" v-bind="item" align="center"> </dg-table-column>
      </template>
    </dg-table>
    <div v-footer>
      <dg-button @click="handleCancel">取消</dg-button>
      <dg-button type="primary" @click="handleSubmit">确定</dg-button>
    </div>
  </div>
</template>

<script>
export default {
  components: {
    // newTable
  },
  props: {
    selectedData: Array
  },
  data() {
    return {
      tableHeader: [
          {
          label: '姓名',
          prop: 'userName'
        },
        {
          label: '身份证号码',
          prop: 'idcard'
        },
        {
          label: '单位名称',
          prop: 'orgName'
        }
      ],
      level: ""
    };
  },
  computed: {},
  methods: {
      handleCancel() {
          this.$emit("close");

      },
      handleSubmit() {
          this.$emit("success");

      }
  },
  created() {},
  mounted() {}
};
</script>

<style lang='scss'>
</style>